Bug 242799 - IDE disk does not flush (standby) before poweroff
IDE disk does not flush (standby) before poweroff
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sysvinit (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
: 428762 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 16:40 EDT by Lev
Modified: 2014-03-16 23:07 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 17:10:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lev 2007-06-05 16:40:19 EDT
Description of problem:

Since the IDE disks now attached as /dev/sd.. not as /dev/hd..
halt -h does not flush (write cache on the disk before poweroff) it on logout 
I tried 
hdparm -f /dev/sda
in /etc/rc0.d/S01halt
but it does not help.

Version-Release number of selected component (if applicable):
Fedora 7 

How reproducible:
Shutdown F7 with IDE disk attached as /dev/sda

Steps to Reproduce:
1. Use F7
2. Use IDE disk
3. Shutdown
  
Actual results:
bad noise when poweroff

Expected results:
in FC6, FC5 there was not such a noise, I got the same noise several years
before in FC1 (if I not mistaken) and hdparm helps me to solve the problem in
that time. 

Additional info:

   My smolt profile number in your database is
e16b4e38-a73b-4323-bcb1-91938db0f084

00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03)
device: sda
desc: "ATA TOSHIBA MK4019GA"
Comment 1 Karsten Hopp 2007-06-11 05:55:31 EDT
hdparm shouldn't be used for this anymore as it doesn't support libata drives
correctly. Flushing the drives needs to be done by halt (and the kernel)
Comment 2 Bill Nottingham 2007-06-11 15:26:03 EDT
It really should be done by the kernel; not sure why that would change between
IDE and libata.
Comment 3 Lev 2007-06-11 17:34:50 EDT
In the manual of "halt" I see the following:

       The -h flag puts all harddisks in standby mode just before halt or
poweroff. Right now  this  is
       only  implemented for IDE drives. A side effect of putting the drive in
standby mode is that the
       write cache on the disk is flushed. This is important for IDE drives,
since the  kernel  doesn’t
       flush the write-cache itself before poweroff.

       The  halt  program uses /proc/ide/hd* to find all IDE disk devices, which
means that /proc needs
       to be mounted when halt or poweroff is called or the -h switch will do
nothing.



    I know, that my disk does not flush before poweroff. Is there any solution?
Comment 4 David Lawrence 2007-06-21 22:11:26 EDT
Package name is now sysvinit in Fedora.
Comment 5 Chuck Ebbert 2007-07-06 14:16:58 EDT
Kernel 2.6.21-1.3255 is in testing now with patches to fix this. Please test.
Comment 6 Lev 2007-07-07 12:52:30 EDT
The problem has been solved with new kernel, at least for my hardware it works.
Thank you very much.
Comment 7 Bill Nottingham 2008-01-15 12:46:45 EST
*** Bug 428762 has been marked as a duplicate of this bug. ***
Comment 8 Bug Zapper 2008-05-14 08:50:24 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.